"""This module contains the exceptions for the ``licence`` app"""


class LicenceException(Exception):
    """Exception to be used for the licence-related errors

    Parameters
    ----------
    message: str
        The message to display to the user

    """

    def __init__(self, message):
        """Set the message"""

        self.message = message

        super().__init__()
